# Generated from binary_struct-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name binary_struct
%global rubyabi 1.9.1

Summary: BinaryStruct is a class for dealing with binary structured data
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/ManageIQ/binary_struct
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
BinaryStruct is a class for dealing with binary structured data.  It
simplifies
expressing what the binary structure looks like, with the ability to name the
parts.  Given this definition, it is easy to encode/decode the binary
structure
from/to a Hash.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*
%{gem_instdir}/LICENSE.txt

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/spec

%changelog
* Thu Oct 02 2014 Joe VLcek<jvlcek@redhat.com> - 2.0.0-1
- Update to version 2.0.0

* Thu May 09 2013 Steve Linabery <slinaber@redhat.com> - 1.0.1-1
- Initial package
